<?php

/// Send Error To Client
/** @return error message from server to client

    Function calls exit to terminate.

    Message format is json:
    @code
    {
      success: false,
      txt:     'error message string';
    }
    @endcode */
function error($txt) {
  echo json_encode(array('success' => false, 'txt' => $txt));
  exit;
}

/// Send Success To Client
/** @return success message from server to client

    Function calls exit to terminate.

    Message format is json:
    @code
    {
      success: true,
      txt:     'success message string';
    }
    @endcode */
function success($txt) {
  echo json_encode(array('success' => true, 'txt' => $txt));
  exit;
}

?>